#ifndef GLUTILS_H
#define GLUTILS_H

/******************************** font stuff *********************************/

/* using a simple glCallLists fixed width font that's _way_ faster than
   glut's fonts on nvidia, at least */
void DrawString( float x, float y, char *string );             // screen space string
void DrawStringOrthoPixels( float x, float y, char *string );  // don't set matrix, assume PushOrthoPixels()
float GetTextHeight( void );
float GetTextWidth( char *string );
int unsigned GetFontBase( void );       // if you want to draw it yourself


/**************************** misc drawing stuff *****************************/

void DrawTimingBars( void );        // groovy fps counter with hysteresis
void PushOrthoPixels( void );
void PopOrthoPixels( void );
int unsigned gl_texture_from_bitmap(unsigned char *bits, int width, int height,
                                    int bytes_per_pixel);
int unsigned LoadTexture(char *Filename);


namespace ajb {
    namespace Physics {
        namespace D2 {
            class Body;
            namespace Rigid {
                class Binary_Force;
            }
        }
    }
}

void glBody1v(ajb::Physics::D2::Body *body, bool Solid);
void glForce1v(ajb::Physics::D2::Rigid::Binary_Force *Force);

#endif // GLUTILS_H
